## node-srs 0.2.11+ds1

=== Makefile ===
all: srs.node

install: all
	node-waf -v build install

srs.node:
	node-waf -v build

clean:
	node-waf -v clean distclean

uninstall:
	node-waf -v uninstall

test:
	@NODE_PATH=./lib:$NODE_PATH expresso

lint:
	@jshint lib/*js test/*js --config=jshint.json

.PHONY: test

=== debian/changelog ===
node-srs (0.2.11+ds1-1) unstable; urgency=low

  * New upstream version

 -- David Paleino <dapal@debian.org>  Wed, 16 Nov 2011 22:55:41 +0100

node-srs (0.2.9+ds1-1) unstable; urgency=low

  * Initial release (Closes: #646392)

 -- David Paleino <dapal@debian.org>  Sun, 23 Oct 2011 22:03:36 +0200

=== debian/control ===
Source: node-srs
Section: science
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8~)
 , dh-buildinfo
 , nodejs-dev
 , libgdal1-dev
Standards-Version: 3.9.2
Homepage: http://search.npmjs.org/#/srs
Vcs-Git: git://git.debian.org/collab-maint/node-srs.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/node-srs.git;a=summary

Package: node-srs
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
Description: spatial reference library for NodeJS
 node-srs provides a spatial reference library for NodeJS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

UPVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1 | cut -d+ -f1)

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo

override_dh_auto_configure:
	node-waf configure

override_dh_auto_build:
	node-waf build

override_dh_auto_test:

override_dh_auto_install:
	node-waf install --destdir=$(CURDIR)/debian/tmp/

override_dh_shlibdeps:
	dpkg-shlibdeps \
		-T$(CURDIR)/debian/node-srs.substvars \
		$(CURDIR)/debian/node-srs/usr/lib/nodejs/srs/_srs.node

override_dh_strip:
	strip \
		--remove-section=.comment \
		--remove-section=.note \
		--strip-unneeded \
		$(CURDIR)/debian/node-srs/usr/lib/nodejs/srs/_srs.node

get-orig-source:
	uscan \
		--verbose \
		--download-version $(UPVER) \
		--force-download \
		--destdir . \
		--rename
	tar xvf node-srs_$(UPVER).orig.tar.gz
	# removing embedded SCons
	rm -rf package/tools/scons/
	# removing embedded OGR library
	rm -rf package/deps/ package/GDAL_LICENSE/
	tar cf node-srs_$(UPVER)+ds1.orig.tar package/
	gzip -9 node-srs_$(UPVER)+ds1.orig.tar
	rm -rf package/ node-srs_$(UPVER).orig.tar.gz

## node-srs 0.2.12+ds1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,14 @@
 all: srs.node
+
+NPROCS:=1
+OS:=$(shell uname -s)
+
+ifeq ($(OS),Linux)
+	NPROCS:=$(shell grep -c ^processor /proc/cpuinfo)
+endif
+ifeq ($(OS),Darwin)
+	NPROCS:=$(shell sysctl -n hw.ncpu)
+endif
 
 install: all
 	node-waf -v build install
@@ -18,4 +28,10 @@
 lint:
 	@jshint lib/*js test/*js --config=jshint.json
 
-.PHONY: test
+gyp:
+	rm -rf ./projects/makefiles/
+	python gyp/gyp build.gyp --depth=. -f make --generator-output=./projects/makefiles
+	make -j$(NPROCS) -C ./projects/makefiles/ V=1
+	cp projects/makefiles/out/Default/_srs.node lib/_srs.node
+
+.PHONY: test gyp

=== debian/changelog ===
node-srs (0.2.12+ds1-1) unstable; urgency=low

  * New upstream version
  * Standards-Version bump to 3.9.3, no changes needed
  * Update debian/copyright

 -- David Paleino <dapal@debian.org>  Thu, 22 Mar 2012 22:48:18 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  , dh-buildinfo
  , nodejs-dev
  , libgdal1-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://search.npmjs.org/#/srs
 Vcs-Git: git://git.debian.org/collab-maint/node-srs.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/node-srs.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,9 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+ifndef UPVER
 UPVER := $(shell dpkg-parsechangelog | grep ^Version | cut -d\  -f2 | cut -d- -f1 | cut -d+ -f1)
+endif
 
 %:
 	dh $@

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds\d// \
https://alioth.debian.org/~dapal/npmjs.php?id=srs \
	http://registry.npmjs.org/srs/-/srs-(\d+.*)\.tgz

## node-srs 0.3.2+ds1

=== Makefile ===
all: srs.node

NPROCS:=1
OS:=$(shell uname -s)

ifeq ($(OS),Linux)
	NPROCS:=$(shell grep -c ^processor /proc/cpuinfo)
endif
ifeq ($(OS),Darwin)
	NPROCS:=$(shell sysctl -n hw.ncpu)
endif

srs.node:
	`npm explore npm -g -- pwd`/bin/node-gyp-bin/node-gyp build

clean:
	rm -rf build
	rm -f lib/_srs.node

test:
	@PATH="./node_modules/mocha/bin:${PATH}" && NODE_PATH="./lib:$(NODE_PATH)" mocha -R spec

check: test

lint:
	@jshint lib/*js test/*js --config=jshint.json

.PHONY: test

=== debian/changelog ===
node-srs (0.3.2+ds1-1build1) trusty; urgency=low

  * No-change rebuild for libgdal1 -> libgdal1h transition.

 -- Logan Rosen <logan@ubuntu.com>  Thu, 12 Dec 2013 01:41:23 -0500

node-srs (0.3.2+ds1-1) unstable; urgency=low

  * Upstream update
  * Standards-Version 3.9.4
  * Build using node-gyp, not nodejs-dev (Closes: #719389)
  * Tighten dependency on libgdal >= 1.9.0~ because data files path
    depend on it.
  * DFSG-exclude only lib/srs_data which contains some files with
    unclear copyright. See #721343.
  * Symlink lib/srs_data to /usr/share/gdal/1.9 which contains the
    same files and more.
  * Add Source field in copyright, explain exclusions there
  * Canonicalize Vcs fields
  * Use dh 9 for hardening
  * Watch github directly
  * Remove unneeded patches, add 2001 patch to fix package.json
    require path.

 -- Jérémy Lal <kapouer@melix.org>  Fri, 30 Aug 2013 17:09:29 +0200

=== debian/control ===
Source: node-srs
Section: science
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 9~)
 , dh-buildinfo
 , node-gyp
 , libgdal1-dev (>= 1.9.0~)
Standards-Version: 3.9.4
Homepage: https://github.com/springmeyer/node-srs
Vcs-Git: git://anoncm.debian.org/collab-maint/node-srs.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/node-srs.git

Package: node-srs
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
Description: spatial reference library for Node.js
 node-srs provides a spatial reference library for Node.js
 .
 Node.js is an event-based server-side javascript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ifndef UPVER
UPVER := $(shell dpkg-parsechangelog -SVersion | cut -d- -f1 | cut -d+ -f1)
endif

TARDIR := node-srs-$(UPVER)
TARNAME := node-srs_$(UPVER)+ds1.orig.tar

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo
	chmod 644 $(CURDIR)/debian/node-srs/usr/lib/nodejs/srs/_srs.node

override_dh_auto_configure:
	node-gyp configure --libzip=shared

override_dh_auto_build:
	node-gyp build

override_dh_auto_test:

override_dh_shlibdeps:
	dpkg-shlibdeps \
		-T$(CURDIR)/debian/node-srs.substvars \
		$(CURDIR)/debian/node-srs/usr/lib/nodejs/srs/_srs.node

override_dh_strip:
	strip \
		--remove-section=.comment \
		--remove-section=.note \
		--strip-unneeded \
		$(CURDIR)/debian/node-srs/usr/lib/nodejs/srs/_srs.node

get-orig-source:
	mkdir -p ../tarballs
	uscan \
		--verbose \
		--download-version $(UPVER) \
		--force-download \
		--destdir ../tarballs \
		--rename
		tar xvf ../tarballs/node-srs_$(UPVER).orig.tar.gz
	@echo Repackaging
	rm -rf $(TARDIR)/lib/srs_data
	tar cf $(TARNAME) $(TARDIR)/
	rm -rf $(TARDIR)/
	gzip -9 $(TARNAME)
	mv $(TARNAME).gz ../tarballs/

## node-srs 0.4.8%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

MODULE_PATH=/usr/lib/nodejs/srs/lib/binding/srs.node

%:
	dh $@

override_dh_install:
	dh_install
	dh_buildinfo
	chmod 644 $(CURDIR)/debian/node-srs$(MODULE_PATH)

override_dh_link:
	dh_link `gdal-config --datadir` usr/lib/nodejs/srs/srs_data

override_dh_auto_configure:
	node-gyp configure -module_name=srs -module_path=lib/binding/ -shared_gdal=1

override_dh_auto_build:
	node-gyp build

override_dh_auto_test:
	ln -s $(CURDIR)/build/lib/binding $(CURDIR)/lib/
# disable a test that needs gdal 1.11 to succeed
	mocha -g "GeoJSON should detect mercator" -i || testOk=$?
	rm $(CURDIR)/lib/binding
	exit ${testOk}

override_dh_shlibdeps:
	dpkg-shlibdeps \
		-T$(CURDIR)/debian/node-srs.substvars \
		$(CURDIR)/debian/node-srs$(MODULE_PATH)

override_dh_strip:
	strip \
		--remove-section=.comment \
		--remove-section=.note \
		--strip-unneeded \
		$(CURDIR)/debian/node-srs$(MODULE_PATH)

=== debian/tests/control ===
Test-Command: nodejs -e "require('"'"'srs'"'"');"
Depends: @

## node-srs 0.4.8+dfsg

=== Makefile ===
#http://www.gnu.org/prep/standards/html_node/Standard-Targets.html#Standard-Targets

all: build

./node_modules:
	npm install --build-from-source

build: ./node_modules
	./node_modules/.bin/node-pre-gyp build --loglevel=error

debug:
	./node_modules/.bin/node-pre-gyp rebuild --debug

verbose:
	./node_modules/.bin/node-pre-gyp rebuild --loglevel=verbose

clean:
	@rm -rf ./build
	rm -rf lib/binding/
	rm -rf ./node_modules/

grind:
	valgrind --leak-check=full node node_modules/.bin/_mocha

rebuild:
	@make clean
	@make

ifndef only
test:
	@PATH="./node_modules/mocha/bin:${PATH}" && NODE_PATH="./lib:$(NODE_PATH)" mocha -R spec
else
test:
	@PATH="./node_modules/mocha/bin:${PATH}" && NODE_PATH="./lib:$(NODE_PATH)" mocha -R spec test/${only}.test.js
endif

check: test

.PHONY: test clean build

=== debian/changelog ===
node-srs (0.4.8+dfsg-4ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Mar 2020 19:21:21 +0100

node-srs (0.4.8+dfsg-4ubuntu1) focal; urgency=medium

  * Force python2 to build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 14 Jan 2020 23:05:34 +0100

node-srs (0.4.8+dfsg-4) unstable; urgency=medium

  * Section: javascript
  * Priority: optional
  * Build against libnode-dev
  * Update home page
  * Update Vcs-* fields
  * filter check nocheck
  * Drop dh strip/shlib overrides with dh 10
  * Fix quotes in Test-Command (Closes:#894953)
  * Drop node rename patch
  * Follow 0.4.x only here
  * Standards-Version 4.3.0
  * Hardening flags

 -- Jérémy Lal <kapouer@melix.org>  Fri, 25 Jan 2019 14:24:57 +0100

node-srs (0.4.8+dfsg-3) unstable; urgency=medium

  * Use dh_nodejs
  * Fix lintian override

 -- Jérémy Lal <kapouer@melix.org>  Wed, 21 Dec 2016 16:40:12 +0100

node-srs (0.4.8+dfsg-2) unstable; urgency=medium

  * Add patch for nan v3 and nodejs 4 compatibility
    (Closes: #798904)
  * Override source-is-missing for file lib/constants.js,
    it contains few lines of pretty-printed quoted pseudo-code.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 14 Sep 2015 01:10:19 +0200

node-srs (0.4.8+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 0.4.8+dfsg
  * Standards-Version 3.9.6
  * Use Files-Excluded section in copyright file
  * Build-Depends gdal-dev (Closes: #789486)
  * Build-Depends node-nan
  * Update install to match upstream files layout
  * Patches:
    + remove patch that was working around non-upstream files layout
    + do not depend on node-pre-gyp for building
    + node to nodejs rename
  * Run build tests
  * Run canonical autopkgtest
  * Use gdal-config to setup symlink to srs_data instead of
    hard-coded path.
  
  [ Mario Lang ]
  * Fix Vcs-Git URL in debian/control.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 21 Jun 2015 21:36:04 +0200

=== debian/control ===
Source: node-srs
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
 Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 10~)
 , dh-buildinfo
 , node-gyp
 , node-nan
 , libnode-dev
 , libgdal-dev (>= 1.10.0~)
 , mocha
Standards-Version: 4.3.0
Homepage: https://github.com/mapbox/node-srs
Vcs-Git: https://salsa.debian.org/js-team/node-srs.git
Vcs-Browser: https://salsa.debian.org/js-team/node-srs

Package: node-srs
Architecture: any
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
 , nodejs
Description: spatial reference library for Node.js
 node-srs provides a spatial reference library for Node.js.
 It is also able to detect projections used in files formatted as Shapefile
 or GeoJSON, similarly to what gdalsrsinfo from gdal-bin package does.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+dfsg$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-srs-$1.tar.gz/ \
https://github.com/springmeyer/node-srs/tags .*/archive/v?(0\.4\.\d+).tar.gz

## node-srs 0.4.9

=== debian/changelog ===
node-srs (0.4.9-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 13
  * Declare compliance with policy 4.5.0
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Add upstream/metadata
  * New upstream version 0.4.9
  * Update NaN patch for nodejs 12
  * Use python3 instead of python during build (Closes: #949027)
  * Disable some failing tests
  * Switch test & install to pkg-js-tools
  * Update d/copyright format url
  * Update lintian overrides
  * Fix little spelling error
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Thu, 27 Aug 2020 10:52:51 +0200

=== debian/control ===
Source: node-srs
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>, Jérémy Lal <kapouer@melix.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends: debhelper-compat (= 13)
 , libgdal-dev
 , libnode-dev
 , mocha
 , node-gyp
 , node-nan
 , pkg-js-tools (>= 0.9.35~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-srs
Vcs-Git: https://salsa.debian.org/js-team/node-srs.git
Homepage: https://github.com/mapbox/node-srs
Rules-Requires-Root: no

Package: node-srs
Architecture: any
Depends: ${misc:Depends}
 , ${shlibs:Depends}
 , nodejs
Description: spatial reference library for Node.js
 node-srs provides a spatial reference library for Node.js.
 It is also able to detect projections used in files formatted as Shapefile
 or GeoJSON, similarly to what gdalsrsinfo from gdal-bin package does.
 .
 Node.js is an event-based server-side javascript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

MODULE_PATH=/usr/lib/$(DEB_HOST_MULTIARCH)/nodejs/srs/lib/binding/srs.node

%:
	dh $@ --with nodejs

override_dh_link:
	dh_link `gdal-config --datadir` usr/lib/$(DEB_HOST_MULTIARCH)/nodejs/srs/srs_data

override_dh_auto_configure:
	node-gyp configure -module_name=srs -module_path=lib/binding/ -shared_gdal=1

override_dh_auto_build:
	node-gyp build
	cp -a build/lib/binding lib/

override_dh_fixperms:
	dh_fixperms
	chmod 644 $(CURDIR)/debian/node-srs$(MODULE_PATH)

## node-srs 1.2.0%2B~2.6.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	cd gdal && make clean
	dh_auto_clean --buildsystem=nodejs

## node-srs 1.2.0+~2.2.0~git20200927.f30387d8

=== debian/changelog ===
node-srs (1.2.0+~2.2.0~git20200927.f30387d8-2) unstable; urgency=medium

  * Team upload
  * Add "Multi-Arch: same"
  * Back to unstable after successful tests

 -- Xavier Guimard <yadd@debian.org>  Tue, 13 Oct 2020 12:20:23 +0200

node-srs (1.2.0+~2.2.0~git20200927.f30387d8-1) experimental; urgency=medium

  * Team upload
  * Use pkg-js-tools auto test & install (using dh-sequence-nodejs)
  * Update debian/watch version
  * Embed gdal-next (instead of gdal which is not compatible with last
    libgdal)). Since tags are missing, use git HEAD for this
  * Update exclusion list
  * New upstream version 1.2.0+~2.2.0~git20200927.f30387d8
  * Refresh patches, drop nodejs12 patch
  * Add patches to fix system paths and tests
  * Update build and install
  * Enable gdal test during build
  * Update lintian overrides
  * Add build dependency to chai
  * Fix little spelling error
  * Install gdal examples
  * Use ${nodejs:Provides} to declare node-gdal-next
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Thu, 01 Oct 2020 13:20:54 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
+ , dh-sequence-nodejs
+ , chai <!nocheck>
  , libgdal-dev
  , libnode-dev
- , mocha
+ , mocha <!nocheck>
  , node-gyp
  , node-nan
- , pkg-js-tools (>= 0.9.35~)
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-srs
 Vcs-Git: https://salsa.debian.org/js-team/node-srs.git
@@ -22,6 +23,8 @@
 Depends: ${misc:Depends}
  , ${shlibs:Depends}
  , nodejs
+Provides: ${nodejs:Provides}
+Multi-Arch: same
 Description: spatial reference library for Node.js
  node-srs provides a spatial reference library for Node.js.
  It is also able to detect projections used in files formatted as Shapefile

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+dfsg$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-srs-$1.tar.gz/ \
https://github.com/springmeyer/node-srs/tags .*/archive/v?([\d\.]+).tar.gz group

opts=\
component=gdal,\
dversionmangle=auto,\
pretty=2.2.0~git%cd.%h,\
gitmode=full,\
mode=git,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-node-gdal-$1.tar.gz/ \
 https://github.com/contra/node-gdal-next HEAD group

## node-srs 1.2.0+~2.5.0

=== debian/changelog ===
node-srs (1.2.0+~2.5.0-1) unstable; urgency=medium

  * Team upload
  * Use github tags for gdal-next (added by upstream)
  * New upstream version 1.2.0+~2.5.0
  * Update gdal test

 -- Xavier Guimard <yadd@debian.org>  Thu, 12 Nov 2020 22:33:26 +0100

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+dfsg$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-srs-$1.tar.gz/ \
https://github.com/springmeyer/node-srs/tags .*/archive/v?([\d\.]+).tar.gz group

opts=\
component=gdal,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-gdal-next-$1.tar.gz/ \
 https://github.com/contra/node-gdal-next/releases .*/archive/v?([\d\.]+).tar.gz group

## node-srs 1.2.0+~2.6.0

=== debian/changelog ===
node-srs (1.2.0+~2.6.0-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.1
  * Add ctype=nodejs to component(s)
  * New upstream version 1.2.0+~2.6.0
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Mon, 07 Dec 2020 18:23:37 +0100

## node-srs 1.2.0+~2.6.2

=== Makefile ===
.PHONY: clean clean-test build rebuild release test test-concurrent test-syntax authors

MOCHA_ARGS=test -R list --expose-gc --require ./test/_common.js

all: build

authors:
	git shortlog -se \
	  | perl -spe 's/^\s+\d+\s+//' \
	  | sed -e '/^BrandonReavis/d' \
	  | sed -e '/brianreavis/d' \
	  | sed -e '/^brandonreavis/d' \
	  > AUTHORS

clean: clean-test
	@rm -rf ./build
	@rm -rf lib/binding

clean-test:
	@rm -f ./test/**/*.aux.xml
	@rm -rf ./test/**/*.tmp*
	@rm -rf ./test/data/**/*.tmp*

./node_modules/.bin/node-pre-gyp:
	npm install node-pre-gyp

build: ./node_modules/.bin/node-pre-gyp
	./node_modules/.bin/node-pre-gyp configure --silent
	./node_modules/.bin/node-pre-gyp build -j max

build-shared: ./node_modules/.bin/node-pre-gyp
	./node_modules/.bin/node-pre-gyp configure --shared_gdal=true --silent
	./node_modules/.bin/node-pre-gyp build -j max

rebuild:
	@make clean
	@make

test: clean-test build
	./node_modules/.bin/mocha $(MOCHA_ARGS)
	@make clean-test

test-shared: clean-test build-shared
	./node_modules/.bin/mocha $(MOCHA_ARGS)
	@make clean-test

test-syntax:
	npm run lint

test-concurrent: clean-test
	node ./node_modules/.bin/_mocha \
		& node ./node_modules/.bin/_mocha \
		& node ./node_modules/.bin/_mocha \
		& node ./node_modules/.bin/_mocha \
		& node ./node_modules/.bin/_mocha \
		& node ./node_modules/.bin/_mocha
	@make clean-test

release:
ifeq ($(strip $(version)),)
	@echo "\033[31mERROR:\033[0;39m No version provided."
	@echo "\033[1;30mmake release version=1.0.0\033[0;39m"
else
	rm -rf node_modules
	npm install
	make test
	@make authors
	sed -i.bak 's/"version": "[^"]*"/"version": "$(version)"/' package.json
	sed -i.bak 's/"version": "[^"]*"/"version": "$(version)"/' yuidoc.json
	rm *.bak
	git add .
	git commit --allow-empty -a -m "Released $(version). [publish binary]"
	git tag v$(version)
	git push origin master
	git push origin --tags
	@echo "\033[32mv${version} tagged\033[0;39m"
	@echo ""
	@echo "IMPORTANT: Run 'npm publish' once Travis/AppVeyor complete their builds"
endif

=== debian/changelog ===
node-srs (1.2.0+~2.6.2-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.2.0+~2.6.2

 -- Xavier Guimard <yadd@debian.org>  Tue, 15 Dec 2020 13:06:22 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  , mocha <!nocheck>
  , node-gyp
  , node-nan
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-srs
 Vcs-Git: https://salsa.debian.org/js-team/node-srs.git
 Homepage: https://github.com/mapbox/node-srs

=== debian/watch ===
--- 
+++ 
@@ -5,6 +5,7 @@
 https://github.com/springmeyer/node-srs/tags .*/archive/v?([\d\.]+).tar.gz group
 
 opts=\
+ctype=nodejs,\
 component=gdal,\
 dversionmangle=auto,\
 filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-gdal-next-$1.tar.gz/ \
